Manual:$wgIncludejQueryMigrate

From mediawiki.org
Jump to navigation Jump to search
Other languages:
English • ‎français • ‎magyar • ‎polski • ‎中文 • ‎日本語
ResourceLoader: $wgIncludejQueryMigrate
Whether to include the jQuery Migrate library.
Introduced in version:1.35.3 (Gerrit change 682264; git #bf62d08c)
Deprecated in version:1.36.0 (Gerrit change 682221; git #76e820d9)
Removed in version:still in use
Allowed values:(boolean)
Default value:true (1.35.3+)
false (1.24)
MediaWiki settings: $wgIncludejQueryMigrate
Please edit this page to enter a summary.
Introduced in version:1.24.0 (Gerrit change 133719; git #8e41082a)
Removed in version:1.25.0 (Gerrit change 137168; git #c393f874)
Allowed values:Unspecified
Default value:Unspecified

Details

This provides jQuery 1.12 features that were removed in jQuery 3.0. See also https://jquery.com/upgrade-guide/3.0/ and phab:T280944.

History

This setting was introduced in MediaWiki 1.24 (gerrit:133719) while directly being deprecated. It was removed in version 1.25 (gerrit:131768).